## org.apache.poi.hssf.contrib.view
Class SVBorder

    java.lang.Object
      javax.swing.border.AbstractBorder
          org.apache.poi.hssf.contrib.view.SVBorder

All Implemented Interfaces:
  javax.swing.border.Border, java.io.Serializable

public class SVBorder
extends javax.swing.border.AbstractBorder

This is an attempt to implement Excel style borders for the SheetViewer. Mostly just overrides stuff so the javadoc won't appear here but will appear in the generated stuff.

Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height
See Also:
  Serialized Form

Constructor Summary
`SVBorder()`

Method Summary
`void` `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`
`void` `setBorder(java.awt.Color northColor, java.awt.Color eastColor, java.awt.Color southColor, java.awt.Color westColor, int northBorderType, int eastBorderType, int southBorderType, int westBorderType, boolean selected)`

Methods inherited from class javax.swing.border.AbstractBorder
`getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVBorder

    public SVBorder()

Method Detail

### setBorder

    public void setBorder(java.awt.Color northColor,
                          java.awt.Color eastColor,
                          java.awt.Color southColor,
                          java.awt.Color westColor,
                          int northBorderType,
                          int eastBorderType,
                          int southBorderType,
                          int westBorderType,
                          boolean selected)

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

Copyright © 2003 Apache Software Foundation.